Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class TEXTEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.TEXTEmitter

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class TEXTEmitter
extends XMLEmitter

This class generates TEXT output

Field Summary

Fields inherited from class net.sf.saxon.event.XMLEmitter
`declarationIsWritten, elementCode, elementStack, empty, openStartTag, preferHex, undeclareNamespaces`

Fields inherited from class net.sf.saxon.event.Emitter
`characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TEXTEmitter()`

Method Summary
`void` | `attribute(int nameCode, int typeCode, java.lang.CharSequence value, int locationId, int properties)` Notify an attribute.
`void` | `characters(java.lang.CharSequence chars, int locationId, int properties)` Produce output using the current Writer.
`void` | `comment(java.lang.CharSequence chars, int locationId, int properties)` Output a comment.
`void` | `endElement()` Output an element end tag.
`void` | `namespace(int namespaceCode, int properties)` Notify a namespace.
`void` | `open()` Start of the document.
`void` | `processingInstruction(java.lang.String name, java.lang.CharSequence value, int locationId, int properties)` Output a processing instruction.
`void` | `startElement(int nameCode, int typeCode, int locationId, int properties)` Output an element start tag.

Methods inherited from class net.sf.saxon.event.XMLEmitter
`close, closeStartTag, emptyElementTagCloser, endDocument, main, openDocument, outputCharacterReference, startContent, startDocument, testCharacters, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeEmitter, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TEXTEmitter

    public TEXTEmitter()

Method Detail

### open

    public void open()
              throws XPathException

  Start of the document.

  Specified by:
    `open` in interface `Receiver`
  Overrides:
    `open` in class `XMLEmitter`
  Throws:
    `XPathException`

### characters

    public void characters(java.lang.CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Produce output using the current Writer.
  Special characters are not escaped.

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `XMLEmitter`
  Parameters:
    `chars` - Character sequence to be output
    `properties` - bit fields holding special properties of the characters
  Throws:
    `XPathException` - for any failure

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)

  Output an element start tag.
  Does nothing with this output method.

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `XMLEmitter`
  Parameters:
    `nameCode` - The element name (tag)
    `typeCode` - The type annotation
    `properties` - Bit fields holding any special properties of the element

### namespace

    public void namespace(int namespaceCode,
                          int properties)

  Description copied from interface: `Receiver`
  Notify a namespace. Namespaces are notified after the startElement event, and before any children for the element. The namespaces that are reported are only required to include those that are different from the parent element. The events represent namespace declarations and undeclarations rather than in-scope namespace nodes: an undeclaration is represented by a namespace code of zero. If the sequence of namespace events contains two A namespace must not conflict with any namespaces already used for element or attribute names.

  Specified by:
    `namespace` in interface `Receiver`
  Overrides:
    `namespace` in class `XMLEmitter`

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          java.lang.CharSequence value,
                          int locationId,
                          int properties)

  Description copied from interface: `Receiver`
  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Specified by:
    `attribute` in interface `Receiver`
  Overrides:
    `attribute` in class `XMLEmitter`

### endElement

    public void endElement()

  Output an element end tag.
  Does nothing with this output method.

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `XMLEmitter`

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.CharSequence value,
                                      int locationId,
                                      int properties)
                               throws XPathException

  Output a processing instruction.
  Does nothing with this output method.

  Specified by:
    `processingInstruction` in interface `Receiver`
  Overrides:
    `processingInstruction` in class `XMLEmitter`
  Throws:
    `XPathException`

### comment

    public void comment(java.lang.CharSequence chars,
                        int locationId,
                        int properties)
                 throws XPathException

  Output a comment.
  Does nothing with this output method.

  Specified by:
    `comment` in interface `Receiver`
  Overrides:
    `comment` in class `XMLEmitter`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD